using System;
using System.Web;
using System.Drawing;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WroxControls 
{
   public class IntrinsicDisplay : WebControl
   {

      protected override void Render(HtmlTextWriter writer) 
      { 

			writer.Write("<H3>Application Variables</H3>");

			foreach( string key in Context.Application )
			{
				writer.Write( "<BR>Key = '" + key + 
								  "' , Value = '" + 
								  Context.Application[key] + "'" );
			}

			writer.Write("<H3>Session Variables</H3>");

			foreach( string key in Context.Session )
			{
				writer.Write( "<BR>Key = '" + key + 
								  "' , Value = '" + 
								  Context.Session[key] + "'" );
			}
      }

   }
};
